Page MenuHomePhabricator

TrustedXFF: hosts file missing
Closed, ResolvedPublic

Description

System Environment: Windows 7 Home Basic X64, Opera 11.51 Build 1087, Opera turbo enabled

Page opened: http://hi.wikipedia.beta.wmflabs.org/wiki/उत्तरांचल

Error message and backtrace:

TrustedXFF: hosts file missing. You need to download it.

Backtrace:

#0 /usr/local/apache/common/live/extensions/TrustedXFF/TrustedXFF.php(66): TrustedXFF->getCdbHandle()
#1 /usr/local/apache/common/live/extensions/TrustedXFF/TrustedXFF.php(39): TrustedXFF->isTrusted('141.0.8.155')
#2 [internal function]: TrustedXFF::onIsTrustedProxy('141.0.8.155', false)
#3 /usr/local/apache/common/live/includes/Hooks.php(216): call_user_func_array('TrustedXFF::onI...', Array)
#4 /usr/local/apache/common/live/includes/GlobalFunctions.php(3760): Hooks::run('IsTrustedProxy', Array)
#5 /usr/local/apache/common/live/includes/ProxyTools.php(60): wfRunHooks('IsTrustedProxy', Array)
#6 /usr/local/apache/common/live/includes/WebRequest.php(1048): wfIsTrustedProxy('141.0.8.155')
#7 /usr/local/apache/common/live/includes/User.php(1702): WebRequest->getIP()
#8 /usr/local/apache/common/live/includes/db/Database.php(821): User->getName()
#9 /usr/local/apache/common/live/includes/db/Database.php(1360): DatabaseBase->query('SELECT page_id...', 'WikiPage::pageD...')
#10 /usr/local/apache/common/live/includes/db/Database.php(1446): DatabaseBase->select('page', Array, Array, 'WikiPage::pageD...', Array, Array)
#11 /usr/local/apache/common/live/includes/WikiPage.php(330): DatabaseBase->selectRow('page', Array, Array, 'WikiPage::pageD...')
#12 /usr/local/apache/common/live/includes/WikiPage.php(348): WikiPage->pageData(Object(DatabaseMysql), Array)
#13 /usr/local/apache/common/live/includes/WikiPage.php(376): WikiPage->pageDataFromTitle(Object(DatabaseMysql), Object(Title))
#14 /usr/local/apache/common/live/includes/WikiPage.php(536): WikiPage->loadPageData()
#15 [internal function]: WikiPage->getLatest()
#16 /usr/local/apache/common/live/includes/Article.php(1775): call_user_func_array(Array, Array)
#17 [internal function]: Article->__call('getLatest', Array)
#18 /usr/local/apache/common/live/extensions/FlaggedRevs/frontend/FlaggedRevsUI.hooks.php(213): Article->getLatest()
#19 [internal function]: FlaggedRevsUIHooks::overrideRedirect(Object(Title), Object(WebRequest), false, false, Object(Article))
#20 /usr/local/apache/common/live/includes/Hooks.php(216): call_user_func_array('FlaggedRevsUIHo...', Array)
#21 /usr/local/apache/common/live/includes/GlobalFunctions.php(3760): Hooks::run('InitializeArtic...', Array)
#22 /usr/local/apache/common/live/includes/Wiki.php(388): wfRunHooks('InitializeArtic...', Array)
#23 /usr/local/apache/common/live/includes/Wiki.php(271): MediaWiki->initializeArticle()
#24 /usr/local/apache/common/live/includes/Wiki.php(661): MediaWiki->performRequest()
#25 /usr/local/apache/common/live/includes/Wiki.php(581): MediaWiki->main()
#26 /usr/local/apache/common/live/index.php(58): MediaWiki->run()
#27 {main}


Version: unspecified
Severity: normal

Details

Reference
bz33741

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:01 AM
bzimport set Reference to bz33741.
bzimport added a subscriber: Unknown Object (MLST).
Reedy added a comment.Jan 15 2012, 3:22 PM

Not an Opera error

Additional info:

Page opened while logged out. Page was protected with: edit-protection:
autoconfirmed, move-protection: autoconfirmed and review protection:reviewer
level, with time-period of 1 day.

Petrb added a comment.Jan 15 2012, 4:26 PM

caused by wrong configuration of labs

Reedy added a comment.Jan 16 2012, 2:26 PM
  • Bug 33748 has been marked as a duplicate of this bug. ***
Reedy added a comment.Jan 16 2012, 2:27 PM

It's a config issue, so it doesn't get closed under the extension component as WONTFIX

bug 33748 suggests it's still happening

There was no file in the needed location. I've tried to put a 0-length file there to see if that helps.